Package com.smartgwt.client.types

# Enum LoadState

java.lang.Object
java.lang.Enum<LoadState>
com.smartgwt.client.types.LoadState

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<LoadState>`, `Constable`

public enum LoadState extends Enum<LoadState> implements ValueEnum
Trees that dynamically load nodes keep track of whether each node has loaded its children.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FOLDERS_LOADED`
  folders only are already loaded
  `LOADED`
  already fully loaded
  `LOADED_PARTIAL_CHILDREN`
  children form a ResultSet having only a partial cache (applies only to the "paged" `fetchMode`)
  `LOADING`
  currently in the process of loading
  `UNLOADED`
  children have not been loaded and are not loading

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static LoadState`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static LoadState[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNLOADED

    public static final LoadState UNLOADED
    children have not been loaded and are not loading

  - ### LOADING

    public static final LoadState LOADING
    currently in the process of loading

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "loading".

  - ### FOLDERS_LOADED

    public static final LoadState FOLDERS_LOADED
    folders only are already loaded

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "foldersLoaded".

  - ### LOADED

    public static final LoadState LOADED
    already fully loaded

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "loaded".

  - ### LOADED_PARTIAL_CHILDREN

    public static final LoadState LOADED_PARTIAL_CHILDREN
    children form a ResultSet having only a partial cache (applies only to the "paged" `fetchMode`)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "loadedPartialChildren".

- ## Method Details

  - ### values

    public static LoadState[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LoadState valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`